%define libv_majv 0.4
BuildRequires:  pango-devel
%{!?with_gst: %define with_gst 0}
%if %{with_gst}
%define gst_args --enable-gstreamer-plugin
%else
%define gst_args --disable-gstreamer-plugin
%endif

Name:           libvisual-plugins
Version:        0.4.0
Release:        0.1%{?dist}
Summary:        Plugins for use with libvisual

Group:          Applications/Multimedia
License:        GPL
URL:            http://libvisual.sourceforge.net/v2/
Source0:        http://easynews.dl.sourceforge.net/sourceforge/libvisual/%{name}-%{version}.tar.gz
Patch0:         libvisual-plugins-0.2.0.mkinstalldirs.patch
#Patch1:         libvisual-plugins-0.2.0-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libvisual-devel >= 0.4.0
#BuildRequires:  xorg-x11-proto-devel
#BuildRequires:  libX11-devel
BuildRequires:  gtk2-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  esound-devel
BuildRequires:  pango-devel
%if "%{?fedora}" > "4"
BuildRequires:  libXt-devel
%endif
#BuildRequires:  mesa-libGL-devel
BuildRequires:  libGLU-devel
%if %with_gst
BuildRequires:  %{_libdir}/pkgconfig/gstreamer-0.8.pc
%endif


%description
Libvisual is an abstraction library that comes between applications and audio
visualisation plugins. This package provides visualizer plugins for use with
libvisual aware applications.

%prep
%setup -q
#%%patch0 -p1
#%%patch1 -p1


%build
%configure \
%{gst_args} 
#--enable-extra-optimization \
#--disable-infinite \
#--disable-flower \
#--disable-dancingparticles \
#--disable-gltest \
#--disable-madspin \
#--disable-nebulus 
## infinite disabled due to gcc 4 issue
## rest disabled because they are broken
## and cause totem to fail in a bad way

make %{?_smp_mflags}

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

#find %buildroot%_libdir -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}-%{libv_majv}

%clean
rm -rf %buildroot


%files -f %{name}-%{libv_majv}.lang

%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_libdir/libvisual-%{libv_majv}/
%_datadir/libvisual-plugins-%{libv_majv}/

%changelog
* Mon May 01 2006 Michael A. Peters <mpeters@mac.com> - 0.4.0-1
- Initial build of 0.4.0

* Fri Feb 17 2006 Michael A. Peters <mpeters@mac.com> - 0.2.0-3
- Rebuild in devel branch

* Sun Nov 20 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-2
- configure patch (patch1) to fix detection of xlibraries/xincludes
- removed sed line fix of rpath in %%prep - no longer needed with
- the configure patch

* Sun Nov 20 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1.9
- fixed it so it builds (specified x-libraries)
- building OpenGL plugin

* Sat Nov 19 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1.3
- fix BuildRequires for mock, specify x-includedir to configure

* Fri Nov 18 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1.2
- changed the xorg-x11-devel BuildRequires to modular xorg-x11
- for fc5
- put / at end of directories owned in %%files for readability.

* Sun Jun 19 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1.1
- remove explicit rpath from LIBTOOL options

* Wed Jun 15 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1
- initial checkin to Extras CVS
